﻿using System;
using System.ComponentModel;
using System.Windows.Threading;

namespace GrafikaWPF.ModelWidoku
{
    class Zegar : INotifyPropertyChanged
    {
        private readonly bool isInDesignMode = DesignerProperties.GetIsInDesignMode(new System.Windows.DependencyObject());

        public DateTime AktualnyCzas
        {
            get
            {
                return DateTime.Now;
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void onPropertyChanged()
        {
            if (PropertyChanged != null) PropertyChanged(this, new PropertyChangedEventArgs(nameof(AktualnyCzas)));
        }

        public Zegar()
        {
            if (!isInDesignMode)
            {
                DispatcherTimer timerOdświeżaniaWidoku = new DispatcherTimer(DispatcherPriority.Render);
                timerOdświeżaniaWidoku.Tick += (sender, e) => { onPropertyChanged(); };
                timerOdświeżaniaWidoku.Interval = TimeSpan.FromMilliseconds(1);
                timerOdświeżaniaWidoku.Start();
                //onPropertyChanged();
            }
        }
    }
}
